summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-geosciences/geocode-glib/geocode-glib-3.18.1.ebuild')
-rw-r--r--sci-geosciences/geocode-glib/geocode-glib-3.18.1.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/sci-geosciences/geocode-glib/geocode-glib-3.18.1.ebuild b/sci-geosciences/geocode-glib/geocode-glib-3.18.1.ebuild
new file mode 100644
index 00000000000..7e90fedff06
--- /dev/null
+++ b/sci-geosciences/geocode-glib/geocode-glib-3.18.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no" # --enable-debug does not do anything useful
+
+inherit gnome2
+
+DESCRIPTION="GLib geocoding library that uses the Yahoo! Place Finder service"
+HOMEPAGE="https://git.gnome.org/browse/geocode-glib"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+introspection test"
+
+RDEPEND="
+ >=dev-libs/glib-2.34:2
+ >=dev-libs/json-glib-0.99.2[introspection?]
+ gnome-base/gvfs[http]
+ >=net-libs/libsoup-2.42:2.4[introspection?]
+ introspection? (
+ >=dev-libs/gobject-introspection-0.6.3:=
+ net-libs/libsoup:2.4[introspection] )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.13
+ >=sys-devel/gettext-0.18
+ virtual/pkgconfig
+ test? ( sys-apps/dbus )
+"
+# eautoreconf requires:
+# dev-libs/gobject-introspection-common
+# gnome-base/gnome-common
+
+# FIXME: need network #424719, recheck
+# need various locales to be present
+RESTRICT="test"
+
+src_test() {
+ export GVFS_DISABLE_FUSE=1
+ export GIO_USE_VFS=gvfs
+ ewarn "Tests require network access to http://where.yahooapis.com"
+ dbus-launch emake check || die "tests failed"
+}